Skip to content

Delete an org legal entity

Settings module

DELETE/org-legal-entities/{id}orgLegalEntities.delete

A legal entity of the organization with its fiscal settings. Soft-deletes the org legal entity: it moves to Trash and can be restored for its table's retention period.

  • Requires the capability org.legal_entities.write.
  • OAuth scopes: org.
  • Error statuses: 401, 404, 422, 429. Errors are RFC 9457 problem details.

Path and query parameters

orgLegalEntities.delete: Path and query parameters
FieldTypeRequiredDescription
idstring (uuid)YesIdentifier of the org legal entity.

Response 204: no body.

Code samples

curl -X DELETE "$XOS_BASE_URL/org-legal-entities/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data } = await xos.orgLegalEntities.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.org_legal_entities.delete("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos org-legal-entities delete 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f